Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class ApiDelegateTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.ApiDelegateTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class ApiDelegateTransformation
    extends java.lang.Object

The logic for the ApiDelegate location transform.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`protected boolean` | `isNoNullCheck()`
`protected boolean` | `isUseCompileStatic()`
`protected java.util.Map` | `resolveGenericsPlaceHolders(org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isNoNullCheck

    protected boolean isNoNullCheck()

### isUseCompileStatic

    protected boolean isUseCompileStatic()

### resolveGenericsPlaceHolders

    protected java.util.Map resolveGenericsPlaceHolders(org.codehaus.groovy.ast.ClassNode classNode)

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation